Page MenuHomeFreeBSD

(lookup 8) vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup
ClosedPublic

Authored by mjg on Mar 2 2020, 5:59 AM.

Details

Summary

This makes the realpath syscall operational with the new lookup. Note that the walk to obtain the full path name still takes locks.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mjg retitled this revision from vfs: add support for WANTPARENT and LOCKPARENT to fast path lookup to vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup.
mjg added a reviewer: markj.
  • rebase
mjg retitled this revision from vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup to (lookup 7) vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup.Jul 6 2020, 8:05 PM
mjg retitled this revision from (lookup 7) vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup to (lookup 8) vfs: add support for WANTPARENT and LOCKPARENT to lockless lookup.Jul 6 2020, 8:14 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 30 2020, 3:45 PM
This revision was automatically updated to reflect the committed changes.